---
title: influxd inspect export-blocks
description: >
  The `influxd inspect export-blocks` command exports all blocks in one or more
  TSM1 files to another format for easier inspection and debugging.
v2.0/tags: [inspect]
menu:
  v2_0_ref:
    parent: influxd inspect
weight: 301
---

The `influxd inspect export-blocks` command exports all blocks in one or more
TSM1 files to another format for easier inspection and debugging.

## Usage
```sh
influxd inspect export-blocks [flags]
```

## Flags
| Flag           | Description               |
|:----           |:-----------               |
| `-h`, `--help` | Help for `export-blocks`. |
